.\"	$NetBSD: fwip.4,v 1.1 2005/07/11 15:37:00 kiyohara Exp $
.\"
.\" Copyright (c) 2005 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Copyright (c) 2004 Doug Rabson
.\" Copyright (c) 2002 Hidetoshi Shimokawa
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: /repoman/r/ncvs/src/share/man/man4/fwip.4,v 1.5 2005/01/21 08:36:37 ru Exp $
.\"
.Dd June 18, 2005
.Dt FWIP 4
.Os
.Sh NAME
.Nm fwip
.Nd IP over IEEE1394 driver
.Sh SYNOPSIS
.Cd "fwip* at ieee1394if?"
.Sh DESCRIPTION
The
.Nm
driver provides standard IP over IEEE1394 based on the
protocols described in RFC 2734 and RFC 3146.
.Pp
The
.Xr ieee1394if 4
and
.Xr fwohci 4
drivers must be configured in the kernel as well.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr fwohci 4 ,
.Xr ieee1394if 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx 5.3 .
It was added to
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver and this manual page were written by
.An Doug Rabson ,
based on earlier work by
.An Hidetoshi Shimokawa .
It was added to
.Nx 4.0
by
.An KIYOHARA Takashi .
.Sh BUGS
This driver currently does not support the MCAP protocol for multicast
IP over IEEE1394.
Multicast packets are treated as broadcast packets which is sufficient
for most trivial uses of multicast.
